Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  abstract class GenBCode extends BCodeSyncAndTry
  Definition Classes
    jvm
-  class BCodePhase extends StdPhase
  Definition Classes
    GenBCode
- Item1
- Item2
- Item3
- SubItem3
- Worker1
- Worker2

c

scala.tools.nsc.backend.jvm.GenBCode.BCodePhase

# SubItem3 

###

#### case class SubItem3(jclassName: String, jclassBytes: Array[Byte]) extends Product with Serializable

Source
  GenBCode.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SubItem3
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SubItem3(jclassName: String, jclassBytes: Array[Byte])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SubItem3 to any2stringadd[SubItem3] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SubItem3, B)
   Implicit
     This member is added by an implicit conversion from SubItem3 to ArrowAssoc[SubItem3] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (SubItem3) ⇒ Boolean, msg: ⇒ Any): SubItem3
   Implicit
     This member is added by an implicit conversion from SubItem3 to Ensuring[SubItem3] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (SubItem3) ⇒ Boolean): SubItem3
   Implicit
     This member is added by an implicit conversion from SubItem3 to Ensuring[SubItem3] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): SubItem3
    Implicit
      This member is added by an implicit conversion from SubItem3 to Ensuring[SubItem3] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): SubItem3
    Implicit
      This member is added by an implicit conversion from SubItem3 to Ensuring[SubItem3] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SubItem3 to StringFormat[SubItem3] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  val jclassBytes: Array[Byte]
18.  val jclassName: String
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  def →[B](y: B): (SubItem3, B)
    Implicit
      This member is added by an implicit conversion from SubItem3 to ArrowAssoc[SubItem3] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SubItem3 to any2stringadd[SubItem3]

### Inherited by implicit conversion StringFormat from SubItem3 to StringFormat[SubItem3]

### Inherited by implicit conversion Ensuring from SubItem3 to Ensuring[SubItem3]

### Inherited by implicit conversion ArrowAssoc from SubItem3 to ArrowAssoc[SubItem3]

### Ungrouped